// Wandelt die Bytes unter src Nibbleweise in
// ASCII-HEX-Werte. 
// dest muss daher soviele Bytes wie in count angegeben 
// aufnehmen knnen.
// Um z.B. einen Long Wert in l umzuwandeln:
//   unpackdata(dest,(char *)&l, 8);
// Auch zur Verwendung zur Wandlung BCD -> ASCII !
// Count muss >= 1 sein!!!
void unpackdata(char *dest, char *src, u08 count)
{
 u08 temp;
 dest += (count - 1);
 
 while(count)
 {
   // Low-Nibble umwandeln
   temp = (*src) & 0x0f;
   *dest = (temp > 9) ? (temp + 'A' - 10) : (temp + '0');
   dest--;
   count--;
 
   if (count)
   {
     // High-Nibble umwandeln
     temp = (*src) & 0xf0;
     swap(temp);
     *dest = (temp > 9) ? (temp + 'A' - 10) : (temp + '0');
     dest--;
     count--;
   }
   
   src++;
   
 }
  
  
}