 /*
 
 Addiert zwei 64-Bit unsigned long long Werte und gibt einen evtl. berlauf zurck
 
 dest ist gleichzeitig ein Summand und enthlt danach das Ergebniss.
 
 extern unsigned char add64(unsigned long long *dest, unsigned long long *operand1);
 
 */
 
 #include <macros.inc>
 #include <ctoasm.inc>
 
 
 /*
 Which pins should be used for the SPI connection?
 */
 

 #define value1		r20
 #define value2		r19
 
 #define counter 	r21
 
 #define dest_hi 	r25
 #define dest_lo 	r24
 #define operand1_hi 	r23
 #define operand1_lo 	r22
 #define overflow	r24

 
    .global add64
    .func add64
 
 add64:               //  that's the beginning of the function
    
    // clear dest
    LOAD_Z(dest_lo, dest_hi)
    LOAD_X(operand1_lo, operand1_hi)
    ldi counter, 8
    clc
    
    // add all Bytes
add64S:    
    ld value1, Z
    ld value2, X+
    adc value1, value2
    st Z+, value1
    dec counter
    brne add64S   
    
    // Return Carry
    ldi overflow, 0
    brcc add64w	
    ldi overflow, 1	

add64w: 
    
// ****** Hier ist das Ende  ******


    ret                   // end of function, return to main program
 

 
 
    .endfunc
 
